### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-contextual-navigation/ecl-contextual-navigation.component.ts`

### Metadata

selector | `ecl-contextual-navigation`
templateUrl | `./ecl-contextual-navigation.component.html`

### Index

###### Properties
isExpanded navItems
###### Methods
showAllItems
###### Inputs
label styleClass

### Constructor

`constructor()`

### Inputs

label
Type : `string`

styleClass
Type : `string`

### Methods

showAllItems
`showAllItems()`
Returns : `void`

### Properties

isExpanded
Type : `boolean`
Default value : `false`

navItems
Type : `QueryList<EclContextualNavigationItemComponent>`
Decorators : `@ContentChildren(undefined)`

# result-matching ""

# No results matching ""